<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/navigation_graph"
    app:startDestination="@id/loginFragment">

    <fragment
        android:id="@+id/loginFragment"
        android:name="com.itb.geoyou.fragments.LoginFragment"
        android:label="fragment_login"
        tools:layout="@layout/fragment_login" >
        <action
            android:id="@+id/logToRegister"
            app:destination="@id/registerFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out" />
        <action
            android:id="@+id/logToMap"
            app:destination="@id/mapFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out" />
    </fragment>
    <fragment
        android:id="@+id/registerFragment"
        android:name="com.itb.geoyou.fragments.RegisterFragment"
        android:label="RegisterFragment"
        >
        <action
            android:id="@+id/registerToLog"
            app:destination="@id/loginFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out" />
    </fragment>
    <fragment
        android:id="@+id/mapFragment"
        android:name="com.itb.geoyou.fragments.MapFragment"
        android:label="MapFragment" >
        <action
            android:id="@+id/mapToMarker"
            app:destination="@id/markerFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out"/>
    </fragment>
    <fragment
        android:id="@+id/markerListFragment"
        android:name="com.itb.geoyou.fragments.MarkerListFragment"
        android:label="fragment_marker_list"
        tools:layout="@layout/fragment_marker_list" >
        <action
            android:id="@+id/listToView"
            app:destination="@id/markerFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out"/>
    </fragment>
    <fragment
        android:id="@+id/userFragment"
        android:name="com.itb.geoyou.fragments.UserFragment"
        android:label="UserFragment" >
        <action
            android:id="@+id/userToLog"
            app:destination="@id/loginFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out" />
    </fragment>
    <fragment
        android:id="@+id/markerFragment"
        android:name="com.itb.geoyou.fragments.MarkerFragment"
        android:label="MarkerFragment" >
        <action
            android:id="@+id/markerToMap"
            app:destination="@id/mapFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/fade_out"/>
        <argument
            android:name="id"
            app:argType="integer" />
    </fragment>
</navigation>